Redmine - Feature #3866

Central Plugin Directory
2009-09-15 01:45 - Michael Koch

Status: Closed Start date: 2009-09-15
Priority: High Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:

Resolution: Fixed

Description

create a central repository for all redmine plugins, as well as a way to collaborate with the project leads. | assume this wouldnt be too
difficult to do, but would help immensely in tracking down relevant plugins for both use and possibly assisting others in development.

| think this could catapult the use of redmine as it would allow for a large base to get involved in periphery activities besides core
redmine development.

Related issues:
Related to Redmine - Feature #6321: Plugin web interface and web installation New 2010-09-07

History

#1 - 2009-09-15 05:57 - Vinod Singh

IMHO it would be great to follow Apache style management of the plugins. Where all mature plugin are at one place and new/experimental plugins at
some incubator location. That will help people know about the status of plugins and increase their comfort level in using them.

#2 - 2009-09-15 18:55 - Eric Davis
- Category set to Plugin AP/

- Status changed from New to 7

- Assignee set to Eric Davis

- Priority changed from Normal to High

| agree with your reasoning but | don't think having a central repository would be good because it would require every plugin developer to use that
system. And some developers are already established and might not want to move.

If there was a central directory of plugins, that would be useful. Ideally the directory would let a developer signup and enter some details about each
of their plugins. This would include:

Short description of the plugin

Categories or tags to organize the plugins
Compatibility - what versions of Redmine it works with
Where the bug tracker is located

Where the official code repository is located

How to contact the author

Maybe some news about updates

I've talked with Mischa and a few maintainers of some other open source Rails systems, and everyone has agreed it would be good to work together
to build a common application that can serve as a directory of plugins. That way, each community could build on each other and share the
development load. The Spree team has a really nice directory already released that I'm going to take a look at adapting for Redmine.

¢ http://ext.spreecommerce.com/
e http://github.com/juanjo/tension/
e http://ext.radiantcms.org/

Thoughts?

#3 - 2009-09-15 19:47 - Michael Koch

Yeah, the directory is a better idea. Much more flexible.

"Aggregation, not centralization!"

#4 - 2009-09-18 04:28 - Mischa The Evil
http://ext.spreecommerce.com/
http://github.com/juanjo/tension/
http://ext.radiantcms.org/

As expected, | vote +1 for the directory solution proposed by Eric.

My past work on creating the current Redmine plugin list and Redmine theme list pages in the Redmine Wiki (which still is not properly announced by
myself) was meant as a first step in a transitional-process working towards a state as proposed by Eric where we would use an application like the
listed Tension application for this purpose.

Currently we have most of the basic info about the extensions complete and up-to-date (to a certain level) in one dedicated page, in a more (but
hopefully better) standardized format and with a useful TOC. That will help a lot untill the transition has been actually done and it will help the actual
migration to such system wehereas the basic info for most extensions in now available in a more structurized and maintained format and in is general
more up-to-date.

I'm, as always, open to further comments/dicussions...
Kind regards,
Mischa.

#5 - 2009-10-13 08:43 - Michael Koch

Agree with Mischa...any progress on this?

#6 - 2010-02-14 19:33 - Niklas ...

Is there any dev going on for the plugin directory already? I'd like to take a look at it and participate if possible.

#7 - 2010-02-14 22:48 - Jean-Philippe Lang

- Assignee changed from Eric Davis to Jean-Philippe Lang

I'mon it.

#8 - 2010-02-17 22:49 - Mischa The Evil

Jean-Philippe Lang wrote:

I'mon it.

Very glad to hear that... I'm very interested in what you'll come up with... ;) Thanks in advance for your work!
#9 - 2010-02-17 23:33 - Eric Davis
Jean-Philippe Lang wrote:
I'monit.
You going to try and use tension? Another option would be to use the code that powers gemcutter.org (http:/github.com/grush/gemcutter). It's gem

based but I've been able to convert my plugins into gems which makes them easy to release. (example:
http://gemcutter.org/gems/redmine_prefix_issue_with_author)

#10 - 2010-06-10 23:22 - Michael Koch

Hello all. Was wondering if this was still being worked on? Any progress or has it been tabled? Thanks!

#11 - 2010-11-01 12:50 - Jean-Philippe Lang

- Subject changed from Central Plugin Repository to Central Plugin Directory
- Category changed from Plugin API to Website (redmine.org)

- Status changed from 7 to Closed

- Resolution set to Fixed

The plugins directory is now available at http:/www.redmine.org/plugins.

#12 - 2010-11-01 16:06 - Michael Koch

How do you go to the next page of plugins? | can do it by changing the URL past "=1", but it seems like there should be an easier way.

#13 - 2010-11-07 00:27 - Jean-Philippe Lang

- Category changed from Website (redmine.org) to Feeds

#14 - 2010-11-07 00:28 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/wiki/Plugin_List
https://www.redmine.org/projects/redmine/wiki/Theme_List
http://github.com/juanjo/tension/
- Category changed from Feeds to Website (redmine.org)
